Get Account History
Returns the user's account history details. Event expiry is displayed in date format for check-in and date/time format (ISO 8601) for other events.
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Set to the language you are using.
- Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringUser
- Agent requiredFor details, see User Agent.
Body
application/json
- Type: stringclientrequired
Client key of the business
- Type: stringauthentication
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
Responses
- application/json
Request Example for get/api/auth/accounts
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/accounts \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--data '{
"client": "CLIENT_GOES_HERE",
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE"
}'
[
{
"date": "2019-05-18T13:15:27Z",
"title": "Item Gifted",
"event_name": "Reward",
"event_value": "+Item",
"description": "You were gifted: Sandwich (Signup)",
"sub_value": null,
"bar_column1": "Points: 0",
"bar_column2": "Punchh: 1",
"bar_column3": "Item: 1",
"points": 0,
"visits": 1,
"rewards": 0,
"items": 1,
"pending_refresh": false,
"expired": false,
"disapproved": false,
"level": null,
"event_details": null,
"store_number": null,
"event_expiry": "2019-06-26T06:59:59Z"
},
{
"date": "2019-05-27T15:24:52Z",
"title": "Item Gifted",
"channel": null,
"event_name": "Reward",
"event_value": "+Item",
"external_uid": null,
"description": "You were gifted: BOGO Cookie for customers who buy cookies 50% of the time (Expired)",
"sub_value": null,
"bar_column1": "Points: 820",
"bar_column2": null,
"bar_column3": "Items: 0",
"points": 820,
"visits": null,
"rewards": 0,
"items": 0,
"pending_refresh": false,
"expired": true,
"disapproved": false,
"level": null,
"event_details": null,
"store_number": null,
"event_expiry": "2019-06-26T06:59:59Z"
},
{
"date": "2019-05-18T08:20:00Z",
"title": "Points Earned",
"channel": "POS",
"event_name": "Checkin",
"event_value": "+13 points",
"external_uid": "",
"description": "13 points earned for your $12.86 purchase at Adrian",
"sub_value": null,
"bar_column1": "Points: 820",
"bar_column2": null,
"bar_column3": "Items: 0",
"points": 820,
"visits": null,
"rewards": 0,
"items": 0,
"pending_refresh": false,
"expired": false,
"disapproved": false,
"level": null,
"event_details": null,
"store_number": "",
"event_expiry": "2019-06-26"
},
{
"date": "2019-05-18T08:12:57Z",
"title": "Points Earned",
"channel": "POS",
"event_name": "Checkin",
"event_value": "+13 points",
"external_uid": "",
"description": "13 points earned for your $12.86 purchase at Adrian",
"sub_value": null,
"bar_column1": "Points: 807",
"bar_column2": null,
"bar_column3": "Items: 0",
"points": 807,
"visits": null,
"rewards": 0,
"items": 0,
"pending_refresh": false,
"expired": false,
"disapproved": false,
"level": null,
"event_details": null,
"store_number": "",
"event_expiry": "2019-06-20"
}
]